{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key UAM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/UAM/OperationalRoles/{id}": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Get a Operational Role resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | OperationalRole->Code | string |  |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | OperationalRole->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | OperationalRole->PermissionTree_Description | string |  |\r\n| createdByUserId | OperationalRole->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRole->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRole->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRole->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRole->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRole->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRole->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRole->ModifiedOn | string | date-time |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| description | OperationalRole->Description | string |  |\r\n| notes | OperationalRole->Notes | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetOperationalRole",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Operational Role",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetOperationalRoleResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Update an existing Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| notes | OperationalRole->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "UpdateOperationalRole",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateOperationalRoleResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Delete an existing Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteOperationalRole",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteOperationalRoleResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Get a collection of Operational Role resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n",
        "operationId": "GetOperationalRoleCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Operational Role collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetOperationalRoleCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Create a new Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| notes | OperationalRole->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "CreateOperationalRole",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateOperationalRoleResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Lookups/LookupOperationalRoleChangePermissionTree": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Lookup the permission set for changing the Operational Role.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupOperationalRoleChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Lookups/LookupOperationalRoleInsertPermissionTree": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Lookup the permission set for creating the Operational Role.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupOperationalRoleInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Batch/{ids}": {
      "get": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Get a collection of Operational Role resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | OperationalRole->Code | string |  |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | OperationalRole->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | OperationalRole->PermissionTree_Description | string |  |\r\n| createdByUserId | OperationalRole->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRole->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRole->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRole->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRole->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRole->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRole->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRole->ModifiedOn | string | date-time |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| description | OperationalRole->Description | string |  |\r\n| notes | OperationalRole->Notes | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetOperationalRole",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Operational Role id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Operational Role collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetOperationalRoleResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Batch": {
      "post": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Create a new collection of Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| notes | OperationalRole->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchCreateOperationalRole",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateOperationalRoleResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Operational Role batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Update a collection of existing Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n| sequenceNumber | OperationalRole->SequenceNumber | integer | int32 |\r\n| notes | OperationalRole->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchUpdateOperationalRole",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateOperationalRoleResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Delete a collection of existing Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| version | OperationalRole->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteOperationalRole",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteOperationalRoleResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/{id}/Active": {
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Change the IsActive status for an existing Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeOperationalRoleIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeOperationalRoleIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Change the PermissionTree for an existing Operational Role resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeOperationalRolePermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeOperationalRolePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Batch/Active": {
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Change the IsActive status for a collection of existing Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| isActive | OperationalRole->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeOperationalRoleIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeOperationalRoleIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Operational Role"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Operational Role resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| version | OperationalRole->Version | integer | int32 |\r\n| permissionTreeId | OperationalRole->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeOperationalRolePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeOperationalRolePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/{id}": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Get a Operational Role Resource resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | OperationalRoleResource->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRoleResource->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRoleResource->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRoleResource->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRoleResource->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRoleResource->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRoleResource->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRoleResource->ModifiedOn | string | date-time |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| inheritedFromId | OperationalRoleResource->InheritedFrom_Id | integer | int64 |\r\n| inheritedFromType | OperationalRoleResource->InheritedFrom_Type | string |  |\r\n| inheritedFromModule | OperationalRoleResource->InheritedFrom_Module | string |  |\r\n| inheritedFromIsDefault | OperationalRoleResource->InheritedFrom_IsDefault | boolean |  |\r\n| inheritedFromTemplate | OperationalRoleResource->InheritedFrom_Template | string |  |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| isInherited | OperationalRoleResource->IsInherited | boolean |  |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleResource->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleResource->OperationalRole_Description | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | OperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| resourceActionCustomisationDescription | OperationalRoleResource->ResourceActionCustomisation_Description | string |  |\r\n| resourceActionCustomisationRestrictionLevel | OperationalRoleResource->ResourceActionCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetOperationalRoleResource",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Operational Role Resource",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetOperationalRoleResourceResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Update an existing Operational Role Resource resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateOperationalRoleResource",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateOperationalRoleResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role Resource was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Delete an existing Operational Role Resource resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteOperationalRoleResource",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteOperationalRoleResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role Resource was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Get a collection of Operational Role Resource resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleResource->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleResource->OperationalRole_Description | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | OperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| resourceActionCustomisationRestrictionLevel | OperationalRoleResource->ResourceActionCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n",
        "operationId": "GetOperationalRoleResourceCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Operational Role Resource collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetOperationalRoleResourceCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Create a new Operational Role Resource resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| operationalRoleId | Required | True |  |\r\n| operationalRoleId | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| resource | Nullable | False |  |\r\n| resource | Nullable | False |  |\r\n| resourceAction | Nullable | False |  |\r\n| resourceAction | Nullable | False |  |\r\n| isDefault | Required | True |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateOperationalRoleResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateOperationalRoleResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/{operationalRoleId}/Resources": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Get a collection of Operational Role Resource resources for the Operational Role.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | OperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| resourceActionCustomisationDescription | OperationalRoleResource->ResourceActionCustomisation_Description | string |  |\r\n| resourceActionCustomisationRestrictionLevel | OperationalRoleResource->ResourceActionCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| isInherited | OperationalRoleResource->IsInherited | boolean |  |\r\n| inheritedFromTemplate | OperationalRoleResource->InheritedFrom_Template | string |  |\r\n| inheritedFromTemplateCustomisationName | OperationalRoleResource->InheritedFrom_TemplateCustomisation_Name | string |  |\r\n",
        "operationId": "GetOperationalRoleResourceForOperationalRoleCollection",
        "parameters": [
          {
            "name": "operationalRoleId",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Operational Role Resource collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetOperationalRoleResourceForOperationalRoleCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Lookups/LookupOperationalRoleResourceOperationalRole": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Lookup the Operational Role for the Operational Role Resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n",
        "operationId": "LookupOperationalRoleResourceOperationalRole",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Operational Role collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleResourceOperationalRoleLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Lookups/LookupOperationalRoleResourceResourceActionCustomisation": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Lookup the API Resource Action Customisation for the Operational Role Resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ResourceActionCustomisation->Id | integer | int64 |\r\n| name | ResourceActionCustomisation->Name | string |  |\r\n| description | ResourceActionCustomisation->Description | string |  |\r\n| restrictionLevel | ResourceActionCustomisation->RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | ResourceActionCustomisation->Module | string |  |\r\n| resource | ResourceActionCustomisation->Resource | string |  |\r\n| resourceAction | ResourceActionCustomisation->ResourceAction | string |  |\r\n",
        "operationId": "LookupOperationalRoleResourceResourceActionCustomisation",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable API Resource Action Customisation collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleResourceResourceActionCustomisationLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Lookups/LookupOperationalRoleResourceResourceAction": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Operational Role Resource",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| resourceActionName | ResourceActionSummary->ResourceActionName | string |  |\r\n| moduleName | ResourceActionSummary->ModuleName | string |  |\r\n| resourceName | ResourceActionSummary->ResourceName | string |  |\r\n| resourceActionType | ResourceActionSummary->ResourceActionType | string |  |\r\n",
        "operationId": "LookupOperationalRoleResourceResourceAction",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable API Resource collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleResourceResourceActionLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Lookups/LookupOperationalRoleResourceResource": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Operational Role Resource",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| resourceName | ResourceSummary->ResourceName | string |  |\r\n| moduleName | ResourceSummary->ModuleName | string |  |\r\n| resourceDescription | ResourceSummary->ResourceDescription | string |  |\r\n",
        "operationId": "LookupOperationalRoleResourceResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable API Resource collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleResourceResourceLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Batch/{ids}": {
      "get": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Get a collection of Operational Role Resource resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | OperationalRoleResource->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRoleResource->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRoleResource->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRoleResource->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRoleResource->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRoleResource->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRoleResource->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRoleResource->ModifiedOn | string | date-time |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| inheritedFromId | OperationalRoleResource->InheritedFrom_Id | integer | int64 |\r\n| inheritedFromType | OperationalRoleResource->InheritedFrom_Type | string |  |\r\n| inheritedFromModule | OperationalRoleResource->InheritedFrom_Module | string |  |\r\n| inheritedFromIsDefault | OperationalRoleResource->InheritedFrom_IsDefault | boolean |  |\r\n| inheritedFromTemplate | OperationalRoleResource->InheritedFrom_Template | string |  |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| isInherited | OperationalRoleResource->IsInherited | boolean |  |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleResource->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleResource->OperationalRole_Description | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | OperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| resourceActionCustomisationDescription | OperationalRoleResource->ResourceActionCustomisation_Description | string |  |\r\n| resourceActionCustomisationRestrictionLevel | OperationalRoleResource->ResourceActionCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetOperationalRoleResource",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Operational Role Resource id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Operational Role Resource collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetOperationalRoleResourceResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Resources/Batch": {
      "post": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Create a new collection of Operational Role Resource resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| operationalRoleId | OperationalRoleResource->OperationalRole_Id | integer | int64 |\r\n| module | OperationalRoleResource->Module | string |  |\r\n| resource | OperationalRoleResource->Resource | string |  |\r\n| resourceAction | OperationalRoleResource->ResourceAction | string |  |\r\n| resourceActionCustomisationId | OperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| operationalRoleId | Required | True |  |\r\n| operationalRoleId | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| resource | Nullable | False |  |\r\n| resource | Nullable | False |  |\r\n| resourceAction | Nullable | False |  |\r\n| resourceAction | Nullable | False |  |\r\n| isDefault | Required | True |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchCreateOperationalRoleResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateOperationalRoleResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Operational Role Resource batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Update a collection of existing Operational Role Resource resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n| isDefault | OperationalRoleResource->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleResource->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleResource->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchUpdateOperationalRoleResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateOperationalRoleResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role Resource batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role Resource"
        ],
        "summary": "Delete a collection of existing Operational Role Resource resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRoleResource->Id | integer | int64 |\r\n| version | OperationalRoleResource->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteOperationalRoleResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteOperationalRoleResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role Resource batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates/{id}": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Get a Operational Role Template resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | OperationalRoleTemplate->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRoleTemplate->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRoleTemplate->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRoleTemplate->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRoleTemplate->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRoleTemplate->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRoleTemplate->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRoleTemplate->ModifiedOn | string | date-time |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| id | OperationalRoleTemplate->Id | integer | int64 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| notes | OperationalRoleTemplate->Notes | string |  |\r\n| operationalRoleId | OperationalRoleTemplate->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleTemplate->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleTemplate->OperationalRole_Description | string |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| templateCustomisationName | OperationalRoleTemplate->TemplateCustomisation_Name | string |  |\r\n| templateCustomisationDescription | OperationalRoleTemplate->TemplateCustomisation_Description | string |  |\r\n| templateCustomisationRestrictionLevel | OperationalRoleTemplate->TemplateCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n",
        "operationId": "GetOperationalRoleTemplate",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Template Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Operational Role Template",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetOperationalRoleTemplateResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Update an existing Operational Role Template resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleTemplate->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateOperationalRoleTemplate",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Template Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateOperationalRoleTemplateResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role Template was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Delete an existing Operational Role Template resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteOperationalRoleTemplate",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Template Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteOperationalRoleTemplateResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Operational Role Template was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Get a collection of Operational Role Template resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| id | OperationalRoleTemplate->Id | integer | int64 |\r\n| operationalRoleId | OperationalRoleTemplate->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleTemplate->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleTemplate->OperationalRole_Description | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| templateCustomisationName | OperationalRoleTemplate->TemplateCustomisation_Name | string |  |\r\n| templateCustomisationDescription | OperationalRoleTemplate->TemplateCustomisation_Description | string |  |\r\n| templateCustomisationRestrictionLevel | OperationalRoleTemplate->TemplateCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n",
        "operationId": "GetOperationalRoleTemplateCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Operational Role Template collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetOperationalRoleTemplateCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Create a new Operational Role Template resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| operationalRoleId | OperationalRoleTemplate->OperationalRole_Id | integer | int64 |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| notes | OperationalRoleTemplate->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| operationalRoleId | Required | True |  |\r\n| operationalRoleId | Nullable | False |  |\r\n| module | Nullable | False |  |\r\n| template | Nullable | False |  |\r\n| type | Nullable | False |  |\r\n| isDefault | Required | True |  |\r\n| isDefault | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateOperationalRoleTemplate",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateOperationalRoleTemplateResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/{operationalRoleId}/Templates": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Get a collection of Operational Role Template resources for the Operational Role.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRoleTemplate->Id | integer | int64 |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| templateCustomisationName | OperationalRoleTemplate->TemplateCustomisation_Name | string |  |\r\n| templateCustomisationDescription | OperationalRoleTemplate->TemplateCustomisation_Description | string |  |\r\n| templateCustomisationRestrictionLevel | OperationalRoleTemplate->TemplateCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n",
        "operationId": "GetOperationalRoleTemplateForOperationalRoleCollection",
        "parameters": [
          {
            "name": "operationalRoleId",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Operational Role Template collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetOperationalRoleTemplateForOperationalRoleCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates/Lookups/LookupOperationalRoleTemplateOperationalRole": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Lookup the Operational Role for the Operational Role Template.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | OperationalRole->Id | integer | int64 |\r\n| code | OperationalRole->Code | string |  |\r\n| description | OperationalRole->Description | string |  |\r\n",
        "operationId": "LookupOperationalRoleTemplateOperationalRole",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Operational Role collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleTemplateOperationalRoleLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates/Lookups/LookupOperationalRoleTemplateTemplateCustomisation": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Lookup the Template Customisation for the Operational Role Template.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | TemplateCustomisation->Id | integer | int64 |\r\n| name | TemplateCustomisation->Name | string |  |\r\n| description | TemplateCustomisation->Description | string |  |\r\n| module | TemplateCustomisation->Module | string |  |\r\n| template | TemplateCustomisation->Template | string |  |\r\n| type | TemplateCustomisation->Type | string |  |\r\n| restrictionLevel | TemplateCustomisation->RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n",
        "operationId": "LookupOperationalRoleTemplateTemplateCustomisation",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Template Customisation collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleTemplateTemplateCustomisationLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates/Lookups/LookupOperationalRoleTemplateTemplate": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Operational Role Template",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| templateName | TemplateSummary->TemplateName | string |  |\r\n| moduleName | TemplateSummary->ModuleName | string |  |\r\n| templateType | TemplateSummary->TemplateType | string |  |\r\n",
        "operationId": "LookupOperationalRoleTemplateTemplate",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Template collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationalRoleTemplateTemplateLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates/Batch/{ids}": {
      "get": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Get a collection of Operational Role Template resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | OperationalRoleTemplate->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | OperationalRoleTemplate->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | OperationalRoleTemplate->CreatedByUser_FullName | string |  |\r\n| createdOn | OperationalRoleTemplate->CreatedOn | string | date-time |\r\n| modifiedByUserId | OperationalRoleTemplate->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | OperationalRoleTemplate->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | OperationalRoleTemplate->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | OperationalRoleTemplate->ModifiedOn | string | date-time |\r\n| version | OperationalRoleTemplate->Version | integer | int32 |\r\n| id | OperationalRoleTemplate->Id | integer | int64 |\r\n| isDefault | OperationalRoleTemplate->IsDefault | boolean |  |\r\n| module | OperationalRoleTemplate->Module | string |  |\r\n| notes | OperationalRoleTemplate->Notes | string |  |\r\n| operationalRoleId | OperationalRoleTemplate->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | OperationalRoleTemplate->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | OperationalRoleTemplate->OperationalRole_Description | string |  |\r\n| sequenceNumber | OperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| template | OperationalRoleTemplate->Template | string |  |\r\n| templateCustomisationId | OperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| templateCustomisationName | OperationalRoleTemplate->TemplateCustomisation_Name | string |  |\r\n| templateCustomisationDescription | OperationalRoleTemplate->TemplateCustomisation_Description | string |  |\r\n| templateCustomisationRestrictionLevel | OperationalRoleTemplate->TemplateCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| type | OperationalRoleTemplate->Type | string |  |\r\n",
        "operationId": "BatchGetOperationalRoleTemplate",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Operational Role Template id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Operational Role Template collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetOperationalRoleTemplateResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/UAM/OperationalRoles/Templates/Batch": {
      "post": {
        "tags": [
          "Operational Role Template"
        ],
        "summary": "Create a new collection of Operational Role Template resources.",
[...]
